#include<stdlib.h>
#include<stdio.h>
#include<conio.h>
main()
{int A[6][4],i,j,B[6][4],C[6][8];
 clrscr(); randomize();
 for(i=0;i<6;i++)
 {printf("\n");
  for(j=0;j<4;j++)
  {A[i][j]=random(50);
   printf("\t%d",A[i][j]);
   C[i][j]=A[i][j];
  }
 } getch();
 for(i=0;i<6;i++)
 {printf("\n");
  for(j=0;j<4;j++)
  {B[i][j]=random(50);
   printf("\t%d",B[i][j]);
   C[i][j+4]=B[i][j];
   }
   } getch();
   puts("\n az ”sszetolt matrix:");
   for(i=0;i<6;i++)
   {printf("\n");
    for(j=0;j<8;j++) printf("\t%d",C[i][j]);
   } getch();
   puts("\n a transzormalt matrix:");
   for(i=0;i<8;i++)
   {printf("\n");
    for(j=0;j<6;j++) printf("\t%d",C[j][i]);
   }
   getch();
  }
